def volBoite(x1 =-1, x2 =-1, x3 =-1):
	if x1 == -1 or x2 == -1:
		return x1**3
	# aucun argument n'a été fourni
	# un seul argument -> boîte cubique
	elif x3 == -1 :
		return x1*x1*x2
	# deux arguments -> boîte prismatique
	else :
		return x1*x2*x3

volBoiteLambda = lambda x1 =-1, x2 =-1, x3 =-1 : 
	(x1 * x2 * x3) if (x3 != -1 and x2 != -1) 
	else (x1**2*x2 if x3 == -1 and x2 !=-1 else x1**3)

# test :
print(volBoite())
print(volBoite(5.2))
print(volBoite(5.2, 3))
print(volBoite(5.2, 3, 7.4))

print(volBoiteLambda())
print(volBoiteLambda(5.2))
print(volBoiteLambda(5.2, 3))
print(volBoiteLambda(5.2, 3, 7.4))


